#ifndef LOGO_ICON_TITLE_BAR_H
#define LOGO_ICON_TITLE_BAR_H

#include <QObject>
#include <QLayout>
#include <QPushButton>
#include <QLabel>

class LogoIconTitleBar : public QWidget
{
    Q_OBJECT
public:
    LogoIconTitleBar(QWidget *parent = nullptr);
    void setTitleName(QString titleName);
    void setFontSize(QFont ft);
private:
    QPushButton *m_titleIcon;
    QLabel      *m_titleLabel;

    QHBoxLayout *m_HLayoutLogoName;
};

#endif // LOGO_ICON_TITLE_BAR_H
